Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CMainFrame Class Reference

`#include <MainFrm.h>`

Collaboration diagram for CMainFrame:

[legend]
List of all members.

## Public Member Functions
| CMainFrame ()
virtual BOOL | PreCreateWindow (CREATESTRUCT &cs)
virtual BOOL | OnCmdMsg (UINT nID, int nCode, void *pExtra, AFX_CMDHANDLERINFO *pHandlerInfo)
virtual | ~CMainFrame ()
| CMainFrame ()
virtual BOOL | PreCreateWindow (CREATESTRUCT &cs)
virtual BOOL | OnCmdMsg (UINT nID, int nCode, void *pExtra, AFX_CMDHANDLERINFO *pHandlerInfo)
virtual | ~CMainFrame ()
## Public Attributes
CNetUsersDiag | m_wndNetUsers
CMessageDiag | m_wndMessages
## Protected Member Functions
virtual BOOL | OnCreateClient (LPCREATESTRUCT lpcs, CCreateContext *pContext)
afx_msg int | OnCreate (LPCREATESTRUCT lpCreateStruct)
afx_msg void | OnSetFocus (CWnd *pOldWnd)
virtual BOOL | OnCreateClient (LPCREATESTRUCT lpcs, CCreateContext *pContext)
afx_msg int | OnCreate (LPCREATESTRUCT lpCreateStruct)
afx_msg void | OnSetFocus (CWnd *pOldWnd)
## Protected Attributes
CFlatSplitterWnd | m_wndSplitter
CStatusBar | m_wndStatusBar

## Constructor & Destructor Documentation

CMainFrame::CMainFrame | ( |  | ) |

CMainFrame::~CMainFrame | ( |  | ) | `[virtual]`

CMainFrame::CMainFrame | ( |  | ) |

virtual CMainFrame::~CMainFrame | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual BOOL CMainFrame::OnCmdMsg | ( | UINT | nID,
|  | int | nCode,
|  | void * | pExtra,
|  | AFX_CMDHANDLERINFO * | pHandlerInfo
| ) | `[virtual]`

BOOL CMainFrame::OnCmdMsg | ( | UINT | nID,
|  | int | nCode,
|  | void * | pExtra,
|  | AFX_CMDHANDLERINFO * | pHandlerInfo
| ) | `[virtual]`

afx_msg int CMainFrame::OnCreate | ( | LPCREATESTRUCT | lpCreateStruct | ) | `[protected]`

int CMainFrame::OnCreate | ( | LPCREATESTRUCT | lpCreateStruct | ) | `[protected]`

virtual BOOL CMainFrame::OnCreateClient | ( | LPCREATESTRUCT | lpcs,
|  | CCreateContext * | pContext
| ) | `[protected, virtual]`

BOOL CMainFrame::OnCreateClient | ( | LPCREATESTRUCT | lpcs,
|  | CCreateContext * | pContext
| ) | `[protected, virtual]`

afx_msg void CMainFrame::OnSetFocus | ( | CWnd * | pOldWnd | ) | `[protected]`

void CMainFrame::OnSetFocus | ( | CWnd * | pOldWnd | ) | `[protected]`

virtual BOOL CMainFrame::PreCreateWindow | ( | CREATESTRUCT & | cs | ) | `[virtual]`

BOOL CMainFrame::PreCreateWindow | ( | CREATESTRUCT & | cs | ) | `[virtual]`

## Member Data Documentation

CMessageDiag CMainFrame::m_wndMessages

CNetUsersDiag CMainFrame::m_wndNetUsers

CFlatSplitterWnd CMainFrame::m_wndSplitter`[protected]`

CStatusBar CMainFrame::m_wndStatusBar`[protected]`

The documentation for this class was generated from the following files:

- deNetWinClient/MainFrm.h
- deNetWinServer/MainFrm.h
- deNetWinClient/MainFrm.cpp
- deNetWinServer/MainFrm.cpp